MRI - Transforms in magnetic resonance imaging

## Data Structures

struct | mri_inh_2d1d_plan
struct | mri_inh_3d_plan

## Functions

void | mri_inh_2d1d_trafo (mri_inh_2d1d_plan *ths)
void | mri_inh_2d1d_init_guru (mri_inh_2d1d_plan *ths, int *N, int M, int *n, int m, double sigma, unsigned nfft_flags, unsigned fftw_flags)
void | mri_inh_2d1d_finalize (mri_inh_2d1d_plan *ths)
void | mri_inh_3d_trafo (mri_inh_3d_plan *ths)
void | mri_inh_3d_adjoint (mri_inh_3d_plan *ths)
void | mri_inh_3d_finalize (mri_inh_3d_plan *ths)

## Detailed Description

## Function Documentation

## mri_inh_2d1d_trafo()

void mri_inh_2d1d_trafo | ( | mri_inh_2d1d_plan * | ths | ) |

Executes a mri transformation considering the field inhomogeneity with the 2d1d method, i.e. computes for

- ths_plan The plan

Author
  Tobias Knopp

Definition at line 57 of file mri.c.

References mri_inh_2d1d_plan::f, mri_inh_2d1d_plan::f_hat, mri_inh_2d1d_plan::M_total, mri_inh_2d1d_plan::N_total, nfft_free(), nfft_malloc(), and nfft_trafo().

Referenced by construct(), and mri_inh_2d1d_init_guru().

## mri_inh_2d1d_init_guru()

void mri_inh_2d1d_init_guru | ( | mri_inh_2d1d_plan * | ths,
|  | int * | N,
|  | int | M,
|  | int * | n,
|  | int | m,
|  | double | sigma,
|  | unsigned | nfft_flags,
|  | unsigned | fftw_flags )

Creates a transform plan.

- ths_plan The plan for the transform
- N The bandwidth
- M_total The number of nodes
- n The oversampled bandwidth
- m The cut-off parameter
- sigma The oversampling factor
- nnfft_flags The flags

Author
  Tobias Knopp

Definition at line 156 of file mri.c.

References mri_inh_2d1d_plan::f, mri_inh_2d1d_plan::f_hat, mri_inh_2d1d_plan::M_total, mri_inh_2d1d_trafo(), mri_inh_2d1d_plan::mv_adjoint, mri_inh_2d1d_plan::mv_trafo, mri_inh_2d1d_plan::N_total, and nfft_malloc().

Referenced by construct().

## mri_inh_2d1d_finalize()

void mri_inh_2d1d_finalize | ( | mri_inh_2d1d_plan * | ths | ) |

Destroys a plan.

- ths_plan The plan

Author
  Tobias Knopp

Definition at line 174 of file mri.c.

References mri_inh_2d1d_plan::f, mri_inh_2d1d_plan::f_hat, nfft_finalize(), and nfft_free().

Referenced by construct().

## mri_inh_3d_trafo()

void mri_inh_3d_trafo | ( | mri_inh_3d_plan * | ths | ) |

Executes a mri transformation considering the field inhomogeneity with the 3d method, i.e. computes for

- ths_plan The plan

Author
  Tobias Knopp

Definition at line 189 of file mri.c.

References mri_inh_3d_plan::f, mri_inh_3d_plan::f_hat, mri_inh_3d_plan::M_total, mri_inh_3d_plan::N_total, nfft_free(), nfft_malloc(), and nfft_trafo().

Referenced by construct().

## mri_inh_3d_adjoint()

void mri_inh_3d_adjoint | ( | mri_inh_3d_plan * | ths | ) |

Executes an adjoint mri transformation considering the field inhomogeneity with the 3d method, i.e. computes for

- ths_plan The plan

Author
  Tobias Knopp

Definition at line 221 of file mri.c.

References mri_inh_3d_plan::f, mri_inh_3d_plan::f_hat, mri_inh_3d_plan::M_total, mri_inh_3d_plan::N_total, nfft_adjoint(), nfft_free(), and nfft_malloc().

## mri_inh_3d_finalize()

void mri_inh_3d_finalize | ( | mri_inh_3d_plan * | ths | ) |

Destroys a plan.

- ths_plan The plan

Author
  Tobias Knopp

Definition at line 266 of file mri.c.

References mri_inh_3d_plan::f_hat, nfft_finalize(), and nfft_free().

Referenced by construct().